### Method

# GimpUi PreviewArea fill

#### Declaration [src]

    void
    gimp_preview_area_fill (
      GimpPreviewArea* area,
      gint x,
      gint y,
      gint width,
      gint height,
      guchar red,
      guchar green,
      guchar blue
    )

#### Description [src]

Fills the given rectangle of `area` in the given color and queues a redraw.

Since GIMP 2.2

#### Parameters

`x` | `gint`
| X offset in preview.
`y` | `gint`
| Y offset in preview.
`width` | `gint`
| Width of the rectangle to fill.
`height` | `gint`
| Height of the rectangle to fill.
`red` | `guchar`
| Red component of the fill color (0-255)
`green` | `guchar`
| Green component of the fill color (0-255)
`blue` | `guchar`
| Red component of the fill color (0-255)